// Author:   Mike Trienis
// For:      Dr. Yves Lucet
// Whatsit:  A test file for plq

mode(-1);
//L: Linear, Q: Quadratic, I: Indicator

__test_set = "PLQ: Convolutions";

function [b] = testPLQInfConvolution()
	b = %f;
	plqf = [%inf,1/4,0,0];
	plqg = [%inf,1,0,0];
	result = plq_infconv(plqf,plqg);
	desired = [%inf,1/5,0,0];
	b = and(result==desired);
endfunction

function [b] = testPLQDeconvolution()
	b = %f;
	plqf = [%inf,1/4,0,0];
	plqg = [%inf,1,0,0];
	result = plq_deconv(plqf,plqg);
	desired = [%inf,1/3,0,0];
	b = and(result==desired);
endfunction


function [b] = runTestFile()
	b = %t;
	b = checkForFail(testWrapper(testPLQInfConvolution,"testPLQInfConvolution"), b);
	b = checkForFail(testWrapper(testPLQDeconvolution,"testPLQDeconvolution"), b);
endfunction


